:root {
  --color-dark-bg:#0e1011;
  --color-page:#21252a;
  --color-white:#fff;
  --color-text-primary:#dcdfe5;
  --color-text-secondary:#6c7684;
  --color-primary:#D78044;
  --color-stroke:#373d48;
  --linear-gradient-grid:linear-gradient(180deg,hsla(0,0%,100%,.06),hsla(0,0%,100%,.03))
}

hr {width: 100%;}
.firmware-section {position:relative;z-index:1}
.firmware-section .container {padding: 0 70px;}
.firmware-section .title {font-size: 64px;font-weight: 500;line-height: 64px;margin-bottom: 24px;letter-spacing: -1.6px;text-align: center;color: #dcdfe5;}
.firmware-section .firmware-head {display: grid;grid-template-columns: 21% 40% 15% 20%;justify-items: center;padding: 14px 2%;justify-content: space-between;}
.firmware-section .select-wrapper {align-items: center;display: flex;gap: 10px;width: 100%;}
.firmware-section .select-primary {position: relative;flex-grow: 1;}
.firmware-section .select-primary.disable {cursor:default;pointer-events:none}
.firmware-section .select-head {align-items: center;border:2px solid var(--selectionTextColor);border-radius:10px;cursor: pointer;display: flex;font-size: 18px;font-weight: 500;height: 40px;justify-content:space-between;text-overflow:ellipsis;white-space:nowrap;}
.firmware-section .select-value {color: var(--selectionTextColor);display: inline-block;overflow: hidden;padding-left: 2px;text-overflow: ellipsis;white-space: nowrap;}
.firmware-section .select-head:after {
  background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='23' fill='none' viewBox='0 0 24 23'%3E%3Cpath fill='%236C7684' d='M16.827 9.14a.935.935 0 0 0-1.319 0l-3.355 3.309-3.31-3.31a.935.935 0 1 0-1.317 1.328l3.963 3.963a.933.933 0 0 0 1.327 0l4.01-3.963a.936.936 0 0 0 0-1.328'/%3E%3C/svg%3E");background-position:50%;background-repeat:no-repeat;content:"";display:block;height:24px;min-width:24px;width:24px}
.firmware-section .title_large {margin: 0;}
.firmware-section .select-dropdown,.firmware-section  .select-head {background-color:var(--color-page);overflow:hidden;border: 2px solid #6c7684;}
.firmware-section .select-dropdown {border:1px solid var(--color-stroke);border-radius:10px;display:none;flex-direction:column;left:0;position:absolute;top:44px;width:auto;z-index:1;}
.firmware-section .select-dropdown.hider .select-dropdown__item {display:none}
.firmware-section .select-dropdown.hider .select-dropdown__item.show {display:block}
.firmware-section .select-primary.active .select-dropdown {display:flex}
.firmware-section .select-dropdown__item {border-bottom:1px solid var(--color-stroke);color:var(--color-text-primary);cursor:pointer;font-size:18px;font-weight:500;overflow:hidden;padding:5px 10px;text-overflow:ellipsis;white-space:nowrap}
.firmware-section .select-dropdown .select-dropdown__item:last-child {border-bottom:none}
.firmware-section .select-dropdown__show-more {align-items:center;background-color:var(--color-page);border-top:1px solid var(--color-stroke);bottom:0;color:var(--color-text-secondary);cursor:pointer;display:flex;font-size:18px;font-weight:500;left:0;padding:9px 12px 9px 20px;position:absolute;width:100%}
.firmware-section .select-dropdown__show-more:after {background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='23' fill='none' viewBox='0 0 24 23'%3E%3Cpath fill='%236C7684' d='M16.827 9.14a.935.935 0 0 0-1.319 0l-3.355 3.309-3.31-3.31a.935.935 0 1 0-1.317 1.328l3.963 3.963a.933.933 0 0 0 1.327 0l4.01-3.963a.936.936 0 0 0 0-1.328'/%3E%3C/svg%3E");background-position:50%;background-repeat:no-repeat;content:"";display:block;height:24px;min-width:24px;width:24px;}
.firmware-section .select-dropdown__show-more .close {display:none;color: #b9b9b9;opacity: 1;font-weight: 400;text-shadow: none;}
.firmware-section .select-scroll {max-height:360px;overflow:hidden}
.firmware-section .select-dropdown.open-all .select-scroll {max-height:420px;overflow-x:hidden;overflow-y:scroll;padding-bottom:40px}
.firmware-section .select-dropdown.open-all .select-dropdown__show-more .close {display:block}
.firmware-section .select-dropdown.open-all .select-dropdown__show-more .open {display:none}
.firmware-section .select-dropdown.open-all .select-dropdown__show-more:after {transform:rotate(-180deg)}
.firmware-section .select-label {color:#9ba5b1;font-size:22px}
.firmware-section .select-value {color:var(--color-text-primary);display:inline-block;overflow:hidden;padding-left:10px;text-overflow:ellipsis;white-space:nowrap}
.firmware-section .firmware-container {border-radius: 20px;width: 100%;background-color: #2c3139;border: 1px solid #373d48;}
.firmware-section  hr {background-color: #fff !important;border: 0;height: 1px;margin-bottom: 20px !important;width: 100%;opacity: 1;}
.firmware-section .firmware-inner {align-items: center;background-color: var(--color-dark-bg);border-radius:20px;display: flex;gap: 40px;padding: 30px;}
.firmware-section .firmware-info {display: flex;flex-direction: column;gap: 16px;width: 100%;}
.firmware-section .title_large {font-size: 36px;font-weight: 500;line-height: 40px;color:#dcdfe5;text-align: center;}
.firmware-section .color_primary {color: var(--color-primary);}
.firmware-section .firmware-flex {display: flex;flex-wrap: wrap;gap: 16px;justify-content: space-around;}
.firmware-section .firmware-item {display: flex;flex-direction: column;gap: 10px;max-width: 272px;width: 100%;}

.firmware-section .button {align-items: center;border: 1px solid transparent;color: var(--color-dark-bg);cursor: pointer;display: flex;font-size: 16px;font-weight: 600;gap: 8px;height: 55px;justify-content: center;line-height: 20px;text-decoration: none;transition: .26s ease-out;white-space: nowrap;background-color: var(--e-global-color-primary);text-transform: uppercase;letter-spacing: 0.7px;fill: #FFFFFF;border-style: solid;border-width: 3px 3px 3px 3px;border-color: var(--e-global-color-primary);border-radius: 50px 50px 50px 50px;padding: 17px 40px 17px 40px;}
.firmware-section .button:hover {background-color: transparent;color: #FFFFFF;background-image: none;}
.firmware-section .button:hover path {fill: #FFFFFF;}

.dark-header .tg-btn:hover {
    background-image: linear-gradient(180deg, var(--e-global-color-primary) 0%, #B39300 100%) !important;
}

.firmware-section .button svg {min-width: 25px;}
.firmware-section .button.blue-button {background-color: transparent;border: 1px solid #83cff8;color: #83cff8;text-decoration: none;background-image: none;}
.firmware-section .button.disabled {opacity:0.3;cursor:default;pointer-events: none;}

.firmware-image {
    display: none;
}


@media (max-width: 1199px) {
    .firmware-section .firmware-head {grid-template-columns: 1fr 1fr;justify-items: flex-start;gap: 2%;}
	.firmware-section .select-wrapper {display: grid;grid-template-columns: 84px 1fr;width: 100%;margin-bottom: 7px;}
	.firmware-section .select-label {font-size: 20px;}
	.firmware-section .select-dropdown {width:100%;}
}



@media (max-width: 1023px) {
    .firmware-section .container {padding: 0 60px;}
	.firmware-section .firmware-inner {gap: 30px;}
	.firmware-image {width: 40%;}
	.firmware-svg {max-width: 100%;}
}




@media (max-width: 767px) {
    .firmware-section .container {padding: 0 5px;}
	.firmware-section .title {font-size: 40px;line-height: 40px;margin-bottom: 14px;}
	.firmware-section .firmware-head {flex-direction: column;padding:10px;grid-template-columns: 1fr;}
	.firmware-section .select-primary {width: 100%;}
	.firmware-section .firmware-image {display: none;}
	.firmware-section .firmware-flex {justify-content: center;}
	.firmware-section .firmware-item,.firmware-section  .firmware-item .button {max-width: none;width: 100%;}

}

@media (max-width: 374px) {
	.firmware-section .select-head{font-size:16px;}
	.firmware-section .select-wrapper {grid-template-columns: 65px 1fr;gap: 10px;}
	.firmware-section .select-label {font-size:18px;}
	.firmware-section .select-dropdown__item {font-size: 14px;padding: 8px;}
	.firmware-section .title_large {font-size: 28px;line-height: 32px;}
	
}


@media (hover: hover) {
	.firmware-svg:hover .firmware-hover {
		fill: var(--color-primary);
		filter: blur(2px)
	}
}




.short.firmware-section .container {padding: 0 10px;}
.short.firmware-section .firmware-head {grid-template-columns: 1fr 1fr;justify-items: flex-start;gap: 2%;}
.short.firmware-section .select-wrapper {display: grid;grid-template-columns: 84px 1fr;width: 100%;margin-bottom: 7px;}
.short.firmware-section .firmware-svg {width: 150px;}
.short.firmware-section  .firmware-image {display: none;}
.short.firmware-section .firmware-flex {flex-wrap: nowrap;}
@media (max-width: 1199px) {
	.short.firmware-section .firmware-image {display: none;}
	.short.firmware-section .firmware-head {padding: 20px 10px;}
}
@media (max-width: 1023px) {
	.short.firmware-section .firmware-head {grid-template-columns: 1fr;}
	.short.firmware-section .title_large {font-size: 30px;}
	.short.firmware-section .container {padding: 0 10px;}
}
@media (max-width: 767px) {
	.short.firmware-section .firmware-flex {flex-wrap: wrap;}
	.short.firmware-section .container {padding: 0 5px;}
}
@media (max-width: 374px) {
	.short.firmware-section .select-wrapper {grid-template-columns: 64px 1fr;gap: 10px;}
}